package com.brilliance.isc.mda.dao;

import com.brilliance.isc.vo.bop.PblStmVo;
import com.brilliance.isc.vo.bop.RmbInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RmbtypMapper {

    List<PblStmVo> queryRmbtypByTda(RmbInfoVo rmbInfoVo);

    List<PblStmVo> queryRmbtypByTdb(RmbInfoVo rmbInfoVo);

    List<PblStmVo> queryRmbtypByTcr(RmbInfoVo rmbInfoVo);

    List<PblStmVo> queryRmbtypByTdo(RmbInfoVo rmbInfoVo);

    List<PblStmVo> queryRmbtypByTdq(RmbInfoVo rmbInfoVo);

    List<PblStmVo> queryRmbtypByALL(RmbInfoVo rmbInfoVo);

    List<PblStmVo> queryRmbtypByTcp(RmbInfoVo rmbInfoVo);

    List<PblStmVo> queryRmbtypByTdm(RmbInfoVo rmbInfoVo);

    List<PblStmVo> queryRmbtypByTfb(RmbInfoVo rmbInfoVo);

    List<PblStmVo> queryRmbtypByTdn(RmbInfoVo rmbInfoVo);

    List<PblStmVo> queryRmbtypByTdf(RmbInfoVo rmbInfoVo);

    List<PblStmVo> queryRmbtypByTga(RmbInfoVo rmbInfoVo);

    List<PblStmVo> queryRmbtypByTfa(RmbInfoVo rmbInfoVo);

    int checkTda(@Param("levyno") String levyno);


    int checkTcr(@Param("levyno") String levyno);

    int checkTdb(@Param("levyno") String levyno);

    int checkTdo(@Param("levyno") String levyno);

    int checkTdq(@Param("levyno") String levyno);

    int checkTcp(@Param("levyno") String levyno);

    int checkTdm(@Param("levyno") String levyno);

    int checkTfb(@Param("levyno") String levyno);

    int checkTdn(@Param("levyno") String levyno);

    int checkTdf(@Param("levyno") String levyno);

    int checkTga(@Param("levyno") String levyno);

    int checkTfa(@Param("levyno") String levyno);



}
